Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlCommandButtonTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentTag
                  org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
                      org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
                          org.apache.myfaces.shared_orchestra.taglib.html.HtmlCommandButtonTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class HtmlCommandButtonTagBase

extends HtmlComponentTagBase

Version:
  $Revision: 539533 $ $Date: 2007-05-18 19:47:08 +0200 (Fr, 18 Mai 2007) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlCommandButtonTagBase()`

Method Summary
`void` | `release()`
`void` | `setAccesskey(java.lang.String accesskey)`
`void` | `setAction(java.lang.String action)`
`void` | `setActionListener(java.lang.String actionListener)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setDisabled(java.lang.String disabled)`
`void` | `setImage(java.lang.String image)`
`void` | `setImmediate(java.lang.String immediate)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnselect(java.lang.String onselect)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setReadonly(java.lang.String readonly)`
`void` | `setTabindex(java.lang.String tabindex)`
`void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getELContext, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCommandButtonTagBase

    public HtmlCommandButtonTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### setAlt

    public void setAlt(java.lang.String alt)

### setDisabled

    public void setDisabled(java.lang.String disabled)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnchange

    public void setOnchange(java.lang.String onchange)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setOnselect

    public void setOnselect(java.lang.String onselect)

### setReadonly

    public void setReadonly(java.lang.String readonly)

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### setType

    public void setType(java.lang.String type)

### setAction

    public void setAction(java.lang.String action)

### setImmediate

    public void setImmediate(java.lang.String immediate)

### setImage

    public void setImage(java.lang.String image)

### setActionListener

    public void setActionListener(java.lang.String actionListener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.